﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace TreeView
{
	public class MainViewModel
	{
		public ObservableCollection<DataItem> Items { get; set; }

		public MainViewModel()
		{
			Items = new ObservableCollection<DataItem>();
			for (int i = 0; i < 5; i++)
			{
				DataItem item = new DataItem { Header = String.Format("Item {0}", i) };
				for (int j = 0; j < 5; j++)
				{
					DataItem child = new DataItem { Header = String.Format("Item {0}.{1}", i, j) };
					for (int k = 0; k < 8; k++)
					{
						child.Options.Add(new Option { Name = String.Format("Option {0}", k) });
					}
					item.Children.Add(child);
				}
				Items.Add(item);
			}
		}
	}
}
